Generation Framework

## org.eclipse.gmf.mappings.impl
Class GMFMapPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.mappings.impl.GMFMapPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, GMFMapPackage

    public class GMFMapPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements GMFMapPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.mappings.GMFMapPackage

`APPEARANCE_STEWARD, APPEARANCE_STEWARD__APPEARANCE_STYLE, APPEARANCE_STEWARD_FEATURE_COUNT, AUDIT_CONTAINER, AUDIT_CONTAINER__AUDITS, AUDIT_CONTAINER__CHILD_CONTAINERS, AUDIT_CONTAINER__DESCRIPTION, AUDIT_CONTAINER__ID, AUDIT_CONTAINER__NAME, AUDIT_CONTAINER__PARENT_CONTAINER, AUDIT_CONTAINER_FEATURE_COUNT, AUDIT_RULE, AUDIT_RULE__CONTAINER, AUDIT_RULE__DESCRIPTION, AUDIT_RULE__ID, AUDIT_RULE__MESSAGE, AUDIT_RULE__NAME, AUDIT_RULE__RULE, AUDIT_RULE__SEVERITY, AUDIT_RULE__TARGET, AUDIT_RULE__USE_IN_LIVE_MODE, AUDIT_RULE_FEATURE_COUNT, AUDITABLE, AUDITABLE_FEATURE_COUNT, AUDITED_METRIC_TARGET, AUDITED_METRIC_TARGET__METRIC, AUDITED_METRIC_TARGET_FEATURE_COUNT, CANVAS_MAPPING, CANVAS_MAPPING__DIAGRAM_CANVAS, CANVAS_MAPPING__DOMAIN_META_ELEMENT, CANVAS_MAPPING__DOMAIN_MODEL, CANVAS_MAPPING__MENU_CONTRIBUTIONS, CANVAS_MAPPING__PALETTE, CANVAS_MAPPING__TOOLBAR_CONTRIBUTIONS, CANVAS_MAPPING_FEATURE_COUNT, CHILD_REFERENCE, CHILD_REFERENCE__CHILD, CHILD_REFERENCE__CHILDREN_FEATURE, CHILD_REFERENCE__COMPARTMENT, CHILD_REFERENCE__CONTAINMENT_FEATURE, CHILD_REFERENCE__OWNED_CHILD, CHILD_REFERENCE__PARENT_NODE, CHILD_REFERENCE__REFERENCED_CHILD, CHILD_REFERENCE_FEATURE_COUNT, COMPARTMENT_MAPPING, COMPARTMENT_MAPPING__CHILDREN, COMPARTMENT_MAPPING__COMPARTMENT, COMPARTMENT_MAPPING__PARENT_NODE, COMPARTMENT_MAPPING_FEATURE_COUNT, CONSTRAINT, CONSTRAINT__BODY, CONSTRAINT__LANG_NAME, CONSTRAINT__LANGUAGE, CONSTRAINT_FEATURE_COUNT, DESIGN_LABEL_MAPPING, DESIGN_LABEL_MAPPING__DIAGRAM_LABEL, DESIGN_LABEL_MAPPING__MAP_ENTRY, DESIGN_LABEL_MAPPING__READ_ONLY, DESIGN_LABEL_MAPPING_FEATURE_COUNT, DIAGRAM_ELEMENT_TARGET, DIAGRAM_ELEMENT_TARGET__ELEMENT, DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT, DOMAIN_ATTRIBUTE_TARGET, DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE, DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR, DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT, DOMAIN_ELEMENT_TARGET, DOMAIN_ELEMENT_TARGET__ELEMENT, DOMAIN_ELEMENT_TARGET_FEATURE_COUNT, eINSTANCE, ELEMENT_INITIALIZER, ELEMENT_INITIALIZER__MAPPING_ENTRY, ELEMENT_INITIALIZER_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, EXPRESSION_LABEL_MAPPING, EXPRESSION_LABEL_MAPPING__DIAGRAM_LABEL, EXPRESSION_LABEL_MAPPING__EDIT_EXPRESSION, EXPRESSION_LABEL_MAPPING__MAP_ENTRY, EXPRESSION_LABEL_MAPPING__READ_ONLY, EXPRESSION_LABEL_MAPPING__VALIDATE_EXPRESSION, EXPRESSION_LABEL_MAPPING__VIEW_EXPRESSION, EXPRESSION_LABEL_MAPPING_FEATURE_COUNT, FEATURE_INITIALIZER, FEATURE_INITIALIZER__FEATURE, FEATURE_INITIALIZER__FEATURE_SEQ_INITIALIZER, FEATURE_INITIALIZER_FEATURE_COUNT, FEATURE_LABEL_MAPPING, FEATURE_LABEL_MAPPING__DIAGRAM_LABEL, FEATURE_LABEL_MAPPING__EDIT_METHOD, FEATURE_LABEL_MAPPING__EDIT_PATTERN, FEATURE_LABEL_MAPPING__EDITABLE_FEATURES, FEATURE_LABEL_MAPPING__EDITOR_PATTERN, FEATURE_LABEL_MAPPING__FEATURES, FEATURE_LABEL_MAPPING__MAP_ENTRY, FEATURE_LABEL_MAPPING__READ_ONLY, FEATURE_LABEL_MAPPING__VIEW_METHOD, FEATURE_LABEL_MAPPING__VIEW_PATTERN, FEATURE_LABEL_MAPPING_FEATURE_COUNT, FEATURE_SEQ_INITIALIZER, FEATURE_SEQ_INITIALIZER__CREATING_INITIALIZER, FEATURE_SEQ_INITIALIZER__ELEMENT_CLASS, FEATURE_SEQ_INITIALIZER__INITIALIZERS, FEATURE_SEQ_INITIALIZER__MAPPING_ENTRY, FEATURE_SEQ_INITIALIZER_FEATURE_COUNT, FEATURE_VALUE_SPEC, FEATURE_VALUE_SPEC__FEATURE, FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER, FEATURE_VALUE_SPEC__VALUE, FEATURE_VALUE_SPEC_FEATURE_COUNT, LABEL_MAPPING, LABEL_MAPPING__DIAGRAM_LABEL, LABEL_MAPPING__MAP_ENTRY, LABEL_MAPPING__READ_ONLY, LABEL_MAPPING_FEATURE_COUNT, LABEL_TEXT_ACCESS_METHOD, LANGUAGE, LINK_CONSTRAINTS, LINK_CONSTRAINTS__LINK_MAPPING, LINK_CONSTRAINTS__SOURCE_END, LINK_CONSTRAINTS__TARGET_END, LINK_CONSTRAINTS_FEATURE_COUNT, LINK_MAPPING, LINK_MAPPING__APPEARANCE_STYLE, LINK_MAPPING__CONTAINMENT_FEATURE, LINK_MAPPING__CONTEXT_MENU, LINK_MAPPING__CREATION_CONSTRAINTS, LINK_MAPPING__DIAGRAM_LINK, LINK_MAPPING__DOMAIN_INITIALIZER, LINK_MAPPING__DOMAIN_META_ELEMENT, LINK_MAPPING__DOMAIN_SPECIALIZATION, LINK_MAPPING__LABEL_MAPPINGS, LINK_MAPPING__LINK_META_FEATURE, LINK_MAPPING__RELATED_DIAGRAMS, LINK_MAPPING__SOURCE_META_FEATURE, LINK_MAPPING__TOOL, LINK_MAPPING_FEATURE_COUNT, MAPPING, MAPPING__APPEARANCE_STYLES, MAPPING__AUDITS, MAPPING__DIAGRAM, MAPPING__LINKS, MAPPING__METRICS, MAPPING__NODES, MAPPING_ENTRY, MAPPING_ENTRY__DOMAIN_INITIALIZER, MAPPING_ENTRY__DOMAIN_META_ELEMENT, MAPPING_ENTRY__DOMAIN_SPECIALIZATION, MAPPING_ENTRY__LABEL_MAPPINGS, MAPPING_ENTRY__RELATED_DIAGRAMS, MAPPING_ENTRY_FEATURE_COUNT, MAPPING_FEATURE_COUNT, MEASURABLE, MEASURABLE_FEATURE_COUNT, MENU_OWNER, MENU_OWNER__CONTEXT_MENU, MENU_OWNER_FEATURE_COUNT, METRIC_CONTAINER, METRIC_CONTAINER__METRICS, METRIC_CONTAINER_FEATURE_COUNT, METRIC_RULE, METRIC_RULE__CONTAINER, METRIC_RULE__DESCRIPTION, METRIC_RULE__HIGH_LIMIT, METRIC_RULE__KEY, METRIC_RULE__LOW_LIMIT, METRIC_RULE__NAME, METRIC_RULE__RULE, METRIC_RULE__TARGET, METRIC_RULE_FEATURE_COUNT, NEEDS_CONTAINMENT, NEEDS_CONTAINMENT__CONTAINMENT_FEATURE, NEEDS_CONTAINMENT_FEATURE_COUNT, NODE_MAPPING, NODE_MAPPING__APPEARANCE_STYLE, NODE_MAPPING__CHILDREN, NODE_MAPPING__COMPARTMENTS, NODE_MAPPING__CONTEXT_MENU, NODE_MAPPING__DIAGRAM_NODE, NODE_MAPPING__DOMAIN_INITIALIZER, NODE_MAPPING__DOMAIN_META_ELEMENT, NODE_MAPPING__DOMAIN_SPECIALIZATION, NODE_MAPPING__LABEL_MAPPINGS, NODE_MAPPING__RELATED_DIAGRAMS, NODE_MAPPING__TOOL, NODE_MAPPING_FEATURE_COUNT, NODE_REFERENCE, NODE_REFERENCE__CHILD, NODE_REFERENCE__CHILDREN_FEATURE, NODE_REFERENCE__CONTAINMENT_FEATURE, NODE_REFERENCE_FEATURE_COUNT, NOTATION_ELEMENT_TARGET, NOTATION_ELEMENT_TARGET__ELEMENT, NOTATION_ELEMENT_TARGET_FEATURE_COUNT, REFERENCE_NEW_ELEMENT_SPEC, REFERENCE_NEW_ELEMENT_SPEC__FEATURE, REFERENCE_NEW_ELEMENT_SPEC__FEATURE_SEQ_INITIALIZER, REFERENCE_NEW_ELEMENT_SPEC__NEW_ELEMENT_INITIALIZERS, REFERENCE_NEW_ELEMENT_SPEC_FEATURE_COUNT, RULE_BASE, RULE_BASE__DESCRIPTION, RULE_BASE__NAME, RULE_BASE_FEATURE_COUNT, SEVERITY, TOOL_OWNER, TOOL_OWNER__TOOL, TOOL_OWNER_FEATURE_COUNT, TOP_NODE_REFERENCE, TOP_NODE_REFERENCE__CHILD, TOP_NODE_REFERENCE__CHILDREN_FEATURE, TOP_NODE_REFERENCE__CONTAINMENT_FEATURE, TOP_NODE_REFERENCE__OWNED_CHILD, TOP_NODE_REFERENCE_FEATURE_COUNT, VALUE_EXPRESSION, VALUE_EXPRESSION__BODY, VALUE_EXPRESSION__LANG_NAME, VALUE_EXPRESSION__LANGUAGE, VALUE_EXPRESSION_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createConstraintsAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints
`protected void` `createEmfaticAnnotationMapAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap
`protected void` `createMetaAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` `getAppearanceSteward_AppearanceStyle()`
`org.eclipse.emf.ecore.EClass` `getAppearanceSteward()`
`org.eclipse.emf.ecore.EClass` `getAuditable()`
`org.eclipse.emf.ecore.EReference` `getAuditContainer_Audits()`
`org.eclipse.emf.ecore.EReference` `getAuditContainer_ChildContainers()`
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Description()`
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Id()`
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Name()`
`org.eclipse.emf.ecore.EReference` `getAuditContainer_ParentContainer()`
`org.eclipse.emf.ecore.EClass` `getAuditContainer()`
`org.eclipse.emf.ecore.EReference` `getAuditedMetricTarget_Metric()`
`org.eclipse.emf.ecore.EClass` `getAuditedMetricTarget()`
`org.eclipse.emf.ecore.EReference` `getAuditRule_Container()`
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Id()`
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Message()`
`org.eclipse.emf.ecore.EReference` `getAuditRule_Rule()`
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Severity()`
`org.eclipse.emf.ecore.EReference` `getAuditRule_Target()`
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_UseInLiveMode()`
`org.eclipse.emf.ecore.EClass` `getAuditRule()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DiagramCanvas()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DomainMetaElement()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DomainModel()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_MenuContributions()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_Palette()`
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_ToolbarContributions()`
`org.eclipse.emf.ecore.EClass` `getCanvasMapping()`
`org.eclipse.emf.ecore.EReference` `getChildReference_Compartment()`
`org.eclipse.emf.ecore.EReference` `getChildReference_OwnedChild()`
`org.eclipse.emf.ecore.EReference` `getChildReference_ParentNode()`
`org.eclipse.emf.ecore.EReference` `getChildReference_ReferencedChild()`
`org.eclipse.emf.ecore.EClass` `getChildReference()`
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_Children()`
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_Compartment()`
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_ParentNode()`
`org.eclipse.emf.ecore.EClass` `getCompartmentMapping()`
`org.eclipse.emf.ecore.EClass` `getConstraint()`
`org.eclipse.emf.ecore.EClass` `getDesignLabelMapping()`
`org.eclipse.emf.ecore.EReference` `getDiagramElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getDiagramElementTarget()`
`org.eclipse.emf.ecore.EReference` `getDomainAttributeTarget_Attribute()`
`org.eclipse.emf.ecore.EAttribute` `getDomainAttributeTarget_NullAsError()`
`org.eclipse.emf.ecore.EClass` `getDomainAttributeTarget()`
`org.eclipse.emf.ecore.EReference` `getDomainElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getDomainElementTarget()`
`org.eclipse.emf.ecore.EReference` `getElementInitializer_MappingEntry()`
`org.eclipse.emf.ecore.EClass` `getElementInitializer()`
`org.eclipse.emf.ecore.EReference` `getExpressionLabelMapping_EditExpression()`
`org.eclipse.emf.ecore.EReference` `getExpressionLabelMapping_ValidateExpression()`
`org.eclipse.emf.ecore.EReference` `getExpressionLabelMapping_ViewExpression()`
`org.eclipse.emf.ecore.EClass` `getExpressionLabelMapping()`
`org.eclipse.emf.ecore.EReference` `getFeatureInitializer_Feature()`
`org.eclipse.emf.ecore.EReference` `getFeatureInitializer_FeatureSeqInitializer()`
`org.eclipse.emf.ecore.EClass` `getFeatureInitializer()`
`org.eclipse.emf.ecore.EReference` `getFeatureLabelMapping_EditableFeatures()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditMethod()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditorPattern()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditPattern()`
`org.eclipse.emf.ecore.EReference` `getFeatureLabelMapping_Features()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_ViewMethod()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_ViewPattern()`
`org.eclipse.emf.ecore.EClass` `getFeatureLabelMapping()`
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_CreatingInitializer()`
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_ElementClass()`
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_Initializers()`
`org.eclipse.emf.ecore.EClass` `getFeatureSeqInitializer()`
`org.eclipse.emf.ecore.EReference` `getFeatureValueSpec_Value()`
`org.eclipse.emf.ecore.EClass` `getFeatureValueSpec()`
`GMFMapFactory` `getGMFMapFactory()`
`org.eclipse.emf.ecore.EReference` `getLabelMapping_DiagramLabel()`
`org.eclipse.emf.ecore.EReference` `getLabelMapping_MapEntry()`
`org.eclipse.emf.ecore.EAttribute` `getLabelMapping_ReadOnly()`
`org.eclipse.emf.ecore.EClass` `getLabelMapping()`
`org.eclipse.emf.ecore.EEnum` `getLabelTextAccessMethod()`
`org.eclipse.emf.ecore.EEnum` `getLanguage()`
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_LinkMapping()`
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_SourceEnd()`
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_TargetEnd()`
`org.eclipse.emf.ecore.EClass` `getLinkConstraints()`
`org.eclipse.emf.ecore.EReference` `getLinkMapping_CreationConstraints()`
`org.eclipse.emf.ecore.EReference` `getLinkMapping_DiagramLink()`
`org.eclipse.emf.ecore.EReference` `getLinkMapping_LinkMetaFeature()`
`org.eclipse.emf.ecore.EReference` `getLinkMapping_SourceMetaFeature()`
`org.eclipse.emf.ecore.EClass` `getLinkMapping()`
`org.eclipse.emf.ecore.EReference` `getMapping_AppearanceStyles()`
`org.eclipse.emf.ecore.EReference` `getMapping_Audits()`
`org.eclipse.emf.ecore.EReference` `getMapping_Diagram()`
`org.eclipse.emf.ecore.EReference` `getMapping_Links()`
`org.eclipse.emf.ecore.EReference` `getMapping_Metrics()`
`org.eclipse.emf.ecore.EReference` `getMapping_Nodes()`
`org.eclipse.emf.ecore.EClass` `getMapping()`
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainInitializer()`
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainMetaElement()`
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainSpecialization()`
`org.eclipse.emf.ecore.EReference` `getMappingEntry_LabelMappings()`
`org.eclipse.emf.ecore.EReference` `getMappingEntry_RelatedDiagrams()`
`org.eclipse.emf.ecore.EClass` `getMappingEntry()`
`org.eclipse.emf.ecore.EClass` `getMeasurable()`
`org.eclipse.emf.ecore.EReference` `getMenuOwner_ContextMenu()`
`org.eclipse.emf.ecore.EClass` `getMenuOwner()`
`org.eclipse.emf.ecore.EReference` `getMetricContainer_Metrics()`
`org.eclipse.emf.ecore.EClass` `getMetricContainer()`
`org.eclipse.emf.ecore.EReference` `getMetricRule_Container()`
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_HighLimit()`
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_Key()`
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_LowLimit()`
`org.eclipse.emf.ecore.EReference` `getMetricRule_Rule()`
`org.eclipse.emf.ecore.EReference` `getMetricRule_Target()`
`org.eclipse.emf.ecore.EClass` `getMetricRule()`
`org.eclipse.emf.ecore.EReference` `getNeedsContainment_ContainmentFeature()`
`org.eclipse.emf.ecore.EClass` `getNeedsContainment()`
`org.eclipse.emf.ecore.EReference` `getNodeMapping_Children()`
`org.eclipse.emf.ecore.EReference` `getNodeMapping_Compartments()`
`org.eclipse.emf.ecore.EReference` `getNodeMapping_DiagramNode()`
`org.eclipse.emf.ecore.EClass` `getNodeMapping()`
`org.eclipse.emf.ecore.EReference` `getNodeReference_Child()`
`org.eclipse.emf.ecore.EReference` `getNodeReference_ChildrenFeature()`
`org.eclipse.emf.ecore.EClass` `getNodeReference()`
`org.eclipse.emf.ecore.EReference` `getNotationElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getNotationElementTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceNewElementSpec_NewElementInitializers()`
`org.eclipse.emf.ecore.EClass` `getReferenceNewElementSpec()`
`org.eclipse.emf.ecore.EAttribute` `getRuleBase_Description()`
`org.eclipse.emf.ecore.EAttribute` `getRuleBase_Name()`
`org.eclipse.emf.ecore.EClass` `getRuleBase()`
`org.eclipse.emf.ecore.EEnum` `getSeverity()`
`org.eclipse.emf.ecore.EReference` `getToolOwner_Tool()`
`org.eclipse.emf.ecore.EClass` `getToolOwner()`
`org.eclipse.emf.ecore.EReference` `getTopNodeReference_OwnedChild()`
`org.eclipse.emf.ecore.EClass` `getTopNodeReference()`
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_Body()`
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_LangName()`
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_Language()`
`org.eclipse.emf.ecore.EClass` `getValueExpression()`
`static GMFMapPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()`
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GMFMapPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `GMFMapPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `GMFMapPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  ** Generated **

### initializePackageContents

    public void initializePackageContents()

### getMappingEntry

    public org.eclipse.emf.ecore.EClass getMappingEntry()

  Specified by:
    `getMappingEntry` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Mapping Entry'.
  See Also:
    `MappingEntry`
  ** Generated **

### getMappingEntry_DomainMetaElement

    public org.eclipse.emf.ecore.EReference getMappingEntry_DomainMetaElement()

  Specified by:
    `getMappingEntry_DomainMetaElement` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Domain Meta Element'.
  See Also:
    `MappingEntry.getDomainMetaElement()`, `GMFMapPackage.getMappingEntry()`
  ** Generated **

### getMappingEntry_DomainSpecialization

    public org.eclipse.emf.ecore.EReference getMappingEntry_DomainSpecialization()

  Specified by:
    `getMappingEntry_DomainSpecialization` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Domain Specialization'.
  See Also:
    `MappingEntry.getDomainSpecialization()`, `GMFMapPackage.getMappingEntry()`
  ** Generated **

### getMappingEntry_DomainInitializer

    public org.eclipse.emf.ecore.EReference getMappingEntry_DomainInitializer()

  Specified by:
    `getMappingEntry_DomainInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Domain Initializer'.
  See Also:
    `MappingEntry.getDomainInitializer()`, `GMFMapPackage.getMappingEntry()`
  ** Generated **

### getMappingEntry_LabelMappings

    public org.eclipse.emf.ecore.EReference getMappingEntry_LabelMappings()

  Specified by:
    `getMappingEntry_LabelMappings` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Label Mappings'.
  See Also:
    `MappingEntry.getLabelMappings()`, `GMFMapPackage.getMappingEntry()`
  ** Generated **

### getMappingEntry_RelatedDiagrams

    public org.eclipse.emf.ecore.EReference getMappingEntry_RelatedDiagrams()

  Specified by:
    `getMappingEntry_RelatedDiagrams` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Related Diagrams'.
  See Also:
    `MappingEntry.getRelatedDiagrams()`, `GMFMapPackage.getMappingEntry()`
  ** Generated **

### getNeedsContainment

    public org.eclipse.emf.ecore.EClass getNeedsContainment()

  Specified by:
    `getNeedsContainment` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Needs Containment'.
  See Also:
    `NeedsContainment`
  ** Generated **

### getNeedsContainment_ContainmentFeature

    public org.eclipse.emf.ecore.EReference getNeedsContainment_ContainmentFeature()

  Specified by:
    `getNeedsContainment_ContainmentFeature` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Containment Feature'.
  See Also:
    `NeedsContainment.getContainmentFeature()`, `GMFMapPackage.getNeedsContainment()`
  ** Generated **

### getNodeReference

    public org.eclipse.emf.ecore.EClass getNodeReference()

  Specified by:
    `getNodeReference` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Node Reference'.
  See Also:
    `NodeReference`
  ** Generated **

### getNodeReference_ChildrenFeature

    public org.eclipse.emf.ecore.EReference getNodeReference_ChildrenFeature()

  Specified by:
    `getNodeReference_ChildrenFeature` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Children Feature'.
  See Also:
    `NodeReference.getChildrenFeature()`, `GMFMapPackage.getNodeReference()`
  ** Generated **

### getNodeReference_Child

    public org.eclipse.emf.ecore.EReference getNodeReference_Child()

  Specified by:
    `getNodeReference_Child` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Child'.
  See Also:
    `NodeReference.getChild()`, `GMFMapPackage.getNodeReference()`
  ** Generated **

### getChildReference

    public org.eclipse.emf.ecore.EClass getChildReference()

  Specified by:
    `getChildReference` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Child Reference'.
  See Also:
    `ChildReference`
  ** Generated **

### getChildReference_ParentNode

    public org.eclipse.emf.ecore.EReference getChildReference_ParentNode()

  Specified by:
    `getChildReference_ParentNode` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Parent Node'.
  See Also:
    `ChildReference.getParentNode()`, `GMFMapPackage.getChildReference()`
  ** Generated **

### getChildReference_Compartment

    public org.eclipse.emf.ecore.EReference getChildReference_Compartment()

  Specified by:
    `getChildReference_Compartment` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Compartment'.
  See Also:
    `ChildReference.getCompartment()`, `GMFMapPackage.getChildReference()`
  ** Generated **

### getChildReference_OwnedChild

    public org.eclipse.emf.ecore.EReference getChildReference_OwnedChild()

  Specified by:
    `getChildReference_OwnedChild` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Owned Child'.
  See Also:
    `ChildReference.getOwnedChild()`, `GMFMapPackage.getChildReference()`
  ** Generated **

### getChildReference_ReferencedChild

    public org.eclipse.emf.ecore.EReference getChildReference_ReferencedChild()

  Specified by:
    `getChildReference_ReferencedChild` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Referenced Child'.
  See Also:
    `ChildReference.getReferencedChild()`, `GMFMapPackage.getChildReference()`
  ** Generated **

### getTopNodeReference

    public org.eclipse.emf.ecore.EClass getTopNodeReference()

  Specified by:
    `getTopNodeReference` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Top Node Reference'.
  See Also:
    `TopNodeReference`
  ** Generated **

### getTopNodeReference_OwnedChild

    public org.eclipse.emf.ecore.EReference getTopNodeReference_OwnedChild()

  Specified by:
    `getTopNodeReference_OwnedChild` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Owned Child'.
  See Also:
    `TopNodeReference.getOwnedChild()`, `GMFMapPackage.getTopNodeReference()`
  ** Generated **

### getNodeMapping

    public org.eclipse.emf.ecore.EClass getNodeMapping()

  Specified by:
    `getNodeMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Node Mapping'.
  See Also:
    `NodeMapping`
  ** Generated **

### getNodeMapping_DiagramNode

    public org.eclipse.emf.ecore.EReference getNodeMapping_DiagramNode()

  Specified by:
    `getNodeMapping_DiagramNode` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Diagram Node'.
  See Also:
    `NodeMapping.getDiagramNode()`, `GMFMapPackage.getNodeMapping()`
  ** Generated **

### getNodeMapping_Children

    public org.eclipse.emf.ecore.EReference getNodeMapping_Children()

  Specified by:
    `getNodeMapping_Children` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `NodeMapping.getChildren()`, `GMFMapPackage.getNodeMapping()`
  ** Generated **

### getNodeMapping_Compartments

    public org.eclipse.emf.ecore.EReference getNodeMapping_Compartments()

  Specified by:
    `getNodeMapping_Compartments` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `NodeMapping.getCompartments()`, `GMFMapPackage.getNodeMapping()`
  ** Generated **

### getCompartmentMapping

    public org.eclipse.emf.ecore.EClass getCompartmentMapping()

  Specified by:
    `getCompartmentMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Compartment Mapping'.
  See Also:
    `CompartmentMapping`
  ** Generated **

### getCompartmentMapping_Compartment

    public org.eclipse.emf.ecore.EReference getCompartmentMapping_Compartment()

  Specified by:
    `getCompartmentMapping_Compartment` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Compartment'.
  See Also:
    `CompartmentMapping.getCompartment()`, `GMFMapPackage.getCompartmentMapping()`
  ** Generated **

### getCompartmentMapping_ParentNode

    public org.eclipse.emf.ecore.EReference getCompartmentMapping_ParentNode()

  Specified by:
    `getCompartmentMapping_ParentNode` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Parent Node'.
  See Also:
    `CompartmentMapping.getParentNode()`, `GMFMapPackage.getCompartmentMapping()`
  ** Generated **

### getCompartmentMapping_Children

    public org.eclipse.emf.ecore.EReference getCompartmentMapping_Children()

  Specified by:
    `getCompartmentMapping_Children` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Children'.
  See Also:
    `CompartmentMapping.getChildren()`, `GMFMapPackage.getCompartmentMapping()`
  ** Generated **

### getLinkMapping

    public org.eclipse.emf.ecore.EClass getLinkMapping()

  Specified by:
    `getLinkMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Link Mapping'.
  See Also:
    `LinkMapping`
  ** Generated **

### getLinkMapping_DiagramLink

    public org.eclipse.emf.ecore.EReference getLinkMapping_DiagramLink()

  Specified by:
    `getLinkMapping_DiagramLink` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Diagram Link'.
  See Also:
    `LinkMapping.getDiagramLink()`, `GMFMapPackage.getLinkMapping()`
  ** Generated **

### getLinkMapping_SourceMetaFeature

    public org.eclipse.emf.ecore.EReference getLinkMapping_SourceMetaFeature()

  Specified by:
    `getLinkMapping_SourceMetaFeature` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Source Meta Feature'.
  See Also:
    `LinkMapping.getSourceMetaFeature()`, `GMFMapPackage.getLinkMapping()`
  ** Generated **

### getLinkMapping_LinkMetaFeature

    public org.eclipse.emf.ecore.EReference getLinkMapping_LinkMetaFeature()

  Specified by:
    `getLinkMapping_LinkMetaFeature` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Link Meta Feature'.
  See Also:
    `LinkMapping.getLinkMetaFeature()`, `GMFMapPackage.getLinkMapping()`
  ** Generated **

### getLinkMapping_CreationConstraints

    public org.eclipse.emf.ecore.EReference getLinkMapping_CreationConstraints()

  Specified by:
    `getLinkMapping_CreationConstraints` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Creation Constraints'.
  See Also:
    `LinkMapping.getCreationConstraints()`, `GMFMapPackage.getLinkMapping()`
  ** Generated **

### getCanvasMapping

    public org.eclipse.emf.ecore.EClass getCanvasMapping()

  Specified by:
    `getCanvasMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Canvas Mapping'.
  See Also:
    `CanvasMapping`
  ** Generated **

### getCanvasMapping_DiagramCanvas

    public org.eclipse.emf.ecore.EReference getCanvasMapping_DiagramCanvas()

  Specified by:
    `getCanvasMapping_DiagramCanvas` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Diagram Canvas'.
  See Also:
    `CanvasMapping.getDiagramCanvas()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getCanvasMapping_DomainModel

    public org.eclipse.emf.ecore.EReference getCanvasMapping_DomainModel()

  Specified by:
    `getCanvasMapping_DomainModel` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `CanvasMapping.getDomainModel()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getCanvasMapping_DomainMetaElement

    public org.eclipse.emf.ecore.EReference getCanvasMapping_DomainMetaElement()

  Specified by:
    `getCanvasMapping_DomainMetaElement` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Domain Meta Element'.
  See Also:
    `CanvasMapping.getDomainMetaElement()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getCanvasMapping_Palette

    public org.eclipse.emf.ecore.EReference getCanvasMapping_Palette()

  Specified by:
    `getCanvasMapping_Palette` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Palette'.
  See Also:
    `CanvasMapping.getPalette()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getCanvasMapping_MenuContributions

    public org.eclipse.emf.ecore.EReference getCanvasMapping_MenuContributions()

  Specified by:
    `getCanvasMapping_MenuContributions` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Menu Contributions'.
  See Also:
    `CanvasMapping.getMenuContributions()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getCanvasMapping_ToolbarContributions

    public org.eclipse.emf.ecore.EReference getCanvasMapping_ToolbarContributions()

  Specified by:
    `getCanvasMapping_ToolbarContributions` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Toolbar Contributions'.
  See Also:
    `CanvasMapping.getToolbarContributions()`, `GMFMapPackage.getCanvasMapping()`
  ** Generated **

### getLabelMapping

    public org.eclipse.emf.ecore.EClass getLabelMapping()

  Specified by:
    `getLabelMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Label Mapping'.
  See Also:
    `LabelMapping`
  ** Generated **

### getLabelMapping_DiagramLabel

    public org.eclipse.emf.ecore.EReference getLabelMapping_DiagramLabel()

  Specified by:
    `getLabelMapping_DiagramLabel` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Diagram Label'.
  See Also:
    `LabelMapping.getDiagramLabel()`, `GMFMapPackage.getLabelMapping()`
  ** Generated **

### getLabelMapping_ReadOnly

    public org.eclipse.emf.ecore.EAttribute getLabelMapping_ReadOnly()

  Specified by:
    `getLabelMapping_ReadOnly` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `LabelMapping.isReadOnly()`, `GMFMapPackage.getLabelMapping()`
  ** Generated **

### getLabelMapping_MapEntry

    public org.eclipse.emf.ecore.EReference getLabelMapping_MapEntry()

  Specified by:
    `getLabelMapping_MapEntry` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Map Entry'.
  See Also:
    `LabelMapping.getMapEntry()`, `GMFMapPackage.getLabelMapping()`
  ** Generated **

### getFeatureLabelMapping

    public org.eclipse.emf.ecore.EClass getFeatureLabelMapping()

  Specified by:
    `getFeatureLabelMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Feature Label Mapping'.
  See Also:
    `FeatureLabelMapping`
  ** Generated **

### getFeatureLabelMapping_Features

    public org.eclipse.emf.ecore.EReference getFeatureLabelMapping_Features()

  Specified by:
    `getFeatureLabelMapping_Features` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Features'.
  See Also:
    `FeatureLabelMapping.getFeatures()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditableFeatures

    public org.eclipse.emf.ecore.EReference getFeatureLabelMapping_EditableFeatures()

  Specified by:
    `getFeatureLabelMapping_EditableFeatures` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference list 'Editable Features'.
  See Also:
    `FeatureLabelMapping.getEditableFeatures()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_ViewPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_ViewPattern()

  Specified by:
    `getFeatureLabelMapping_ViewPattern` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `FeatureLabelMapping.getViewPattern()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditorPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditorPattern()

  Specified by:
    `getFeatureLabelMapping_EditorPattern` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Editor Pattern'.
  See Also:
    `FeatureLabelMapping.getEditorPattern()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_ViewMethod

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_ViewMethod()

  Specified by:
    `getFeatureLabelMapping_ViewMethod` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'View Method'.
  See Also:
    `FeatureLabelMapping.getViewMethod()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditPattern()

  Specified by:
    `getFeatureLabelMapping_EditPattern` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `FeatureLabelMapping.getEditPattern()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditMethod

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditMethod()

  Specified by:
    `getFeatureLabelMapping_EditMethod` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Edit Method'.
  See Also:
    `FeatureLabelMapping.getEditMethod()`, `GMFMapPackage.getFeatureLabelMapping()`
  ** Generated **

### getDesignLabelMapping

    public org.eclipse.emf.ecore.EClass getDesignLabelMapping()

  Specified by:
    `getDesignLabelMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Design Label Mapping'.
  See Also:
    `DesignLabelMapping`
  ** Generated **

### getExpressionLabelMapping

    public org.eclipse.emf.ecore.EClass getExpressionLabelMapping()

  Specified by:
    `getExpressionLabelMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Expression Label Mapping'.
  See Also:
    `ExpressionLabelMapping`
  ** Generated **

### getExpressionLabelMapping_ViewExpression

    public org.eclipse.emf.ecore.EReference getExpressionLabelMapping_ViewExpression()

  Specified by:
    `getExpressionLabelMapping_ViewExpression` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'View Expression'.
  See Also:
    `ExpressionLabelMapping.getViewExpression()`, `GMFMapPackage.getExpressionLabelMapping()`
  ** Generated **

### getExpressionLabelMapping_EditExpression

    public org.eclipse.emf.ecore.EReference getExpressionLabelMapping_EditExpression()

  Specified by:
    `getExpressionLabelMapping_EditExpression` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Edit Expression'.
  See Also:
    `ExpressionLabelMapping.getEditExpression()`, `GMFMapPackage.getExpressionLabelMapping()`
  ** Generated **

### getExpressionLabelMapping_ValidateExpression

    public org.eclipse.emf.ecore.EReference getExpressionLabelMapping_ValidateExpression()

  Specified by:
    `getExpressionLabelMapping_ValidateExpression` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Validate Expression'.
  See Also:
    `ExpressionLabelMapping.getValidateExpression()`, `GMFMapPackage.getExpressionLabelMapping()`
  ** Generated **

### getMapping

    public org.eclipse.emf.ecore.EClass getMapping()

  Specified by:
    `getMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Mapping'.
  See Also:
    `Mapping`
  ** Generated **

### getMapping_Nodes

    public org.eclipse.emf.ecore.EReference getMapping_Nodes()

  Specified by:
    `getMapping_Nodes` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Nodes'.
  See Also:
    `Mapping.getNodes()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getMapping_Links

    public org.eclipse.emf.ecore.EReference getMapping_Links()

  Specified by:
    `getMapping_Links` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Links'.
  See Also:
    `Mapping.getLinks()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getMapping_Diagram

    public org.eclipse.emf.ecore.EReference getMapping_Diagram()

  Specified by:
    `getMapping_Diagram` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Diagram'.
  See Also:
    `Mapping.getDiagram()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getMapping_AppearanceStyles

    public org.eclipse.emf.ecore.EReference getMapping_AppearanceStyles()

  Specified by:
    `getMapping_AppearanceStyles` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Appearance Styles'.
  See Also:
    `Mapping.getAppearanceStyles()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getMapping_Audits

    public org.eclipse.emf.ecore.EReference getMapping_Audits()

  Specified by:
    `getMapping_Audits` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Audits'.
  See Also:
    `Mapping.getAudits()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getMapping_Metrics

    public org.eclipse.emf.ecore.EReference getMapping_Metrics()

  Specified by:
    `getMapping_Metrics` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Metrics'.
  See Also:
    `Mapping.getMetrics()`, `GMFMapPackage.getMapping()`
  ** Generated **

### getConstraint

    public org.eclipse.emf.ecore.EClass getConstraint()

  Specified by:
    `getConstraint` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`
  ** Generated **

### getLinkConstraints

    public org.eclipse.emf.ecore.EClass getLinkConstraints()

  Specified by:
    `getLinkConstraints` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Link Constraints'.
  See Also:
    `LinkConstraints`
  ** Generated **

### getLinkConstraints_LinkMapping

    public org.eclipse.emf.ecore.EReference getLinkConstraints_LinkMapping()

  Specified by:
    `getLinkConstraints_LinkMapping` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Link Mapping'.
  See Also:
    `LinkConstraints.getLinkMapping()`, `GMFMapPackage.getLinkConstraints()`
  ** Generated **

### getLinkConstraints_SourceEnd

    public org.eclipse.emf.ecore.EReference getLinkConstraints_SourceEnd()

  Specified by:
    `getLinkConstraints_SourceEnd` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Source End'.
  See Also:
    `LinkConstraints.getSourceEnd()`, `GMFMapPackage.getLinkConstraints()`
  ** Generated **

### getLinkConstraints_TargetEnd

    public org.eclipse.emf.ecore.EReference getLinkConstraints_TargetEnd()

  Specified by:
    `getLinkConstraints_TargetEnd` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Target End'.
  See Also:
    `LinkConstraints.getTargetEnd()`, `GMFMapPackage.getLinkConstraints()`
  ** Generated **

### getValueExpression

    public org.eclipse.emf.ecore.EClass getValueExpression()

  Specified by:
    `getValueExpression` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`
  ** Generated **

### getValueExpression_Body

    public org.eclipse.emf.ecore.EAttribute getValueExpression_Body()

  Specified by:
    `getValueExpression_Body` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `ValueExpression.getBody()`, `GMFMapPackage.getValueExpression()`
  ** Generated **

### getValueExpression_Language

    public org.eclipse.emf.ecore.EAttribute getValueExpression_Language()

  Specified by:
    `getValueExpression_Language` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `ValueExpression.getLanguage()`, `GMFMapPackage.getValueExpression()`
  ** Generated **

### getValueExpression_LangName

    public org.eclipse.emf.ecore.EAttribute getValueExpression_LangName()

  Specified by:
    `getValueExpression_LangName` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Lang Name'.
  See Also:
    `ValueExpression.getLangName()`, `GMFMapPackage.getValueExpression()`
  ** Generated **

### getElementInitializer

    public org.eclipse.emf.ecore.EClass getElementInitializer()

  Specified by:
    `getElementInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Element Initializer'.
  See Also:
    `ElementInitializer`
  ** Generated **

### getElementInitializer_MappingEntry

    public org.eclipse.emf.ecore.EReference getElementInitializer_MappingEntry()

  Specified by:
    `getElementInitializer_MappingEntry` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Mapping Entry'.
  See Also:
    `ElementInitializer.getMappingEntry()`, `GMFMapPackage.getElementInitializer()`
  ** Generated **

### getFeatureSeqInitializer

    public org.eclipse.emf.ecore.EClass getFeatureSeqInitializer()

  Specified by:
    `getFeatureSeqInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Feature Seq Initializer'.
  See Also:
    `FeatureSeqInitializer`
  ** Generated **

### getFeatureSeqInitializer_Initializers

    public org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_Initializers()

  Specified by:
    `getFeatureSeqInitializer_Initializers` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Initializers'.
  See Also:
    `FeatureSeqInitializer.getInitializers()`, `GMFMapPackage.getFeatureSeqInitializer()`
  ** Generated **

### getFeatureSeqInitializer_ElementClass

    public org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_ElementClass()

  Specified by:
    `getFeatureSeqInitializer_ElementClass` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Element Class'.
  See Also:
    `FeatureSeqInitializer.getElementClass()`, `GMFMapPackage.getFeatureSeqInitializer()`
  ** Generated **

### getFeatureSeqInitializer_CreatingInitializer

    public org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_CreatingInitializer()

  Specified by:
    `getFeatureSeqInitializer_CreatingInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Creating Initializer'.
  See Also:
    `FeatureSeqInitializer.getCreatingInitializer()`, `GMFMapPackage.getFeatureSeqInitializer()`
  ** Generated **

### getFeatureInitializer

    public org.eclipse.emf.ecore.EClass getFeatureInitializer()

  Specified by:
    `getFeatureInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Feature Initializer'.
  See Also:
    `FeatureInitializer`
  ** Generated **

### getFeatureInitializer_Feature

    public org.eclipse.emf.ecore.EReference getFeatureInitializer_Feature()

  Specified by:
    `getFeatureInitializer_Feature` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureInitializer.getFeature()`, `GMFMapPackage.getFeatureInitializer()`
  ** Generated **

### getFeatureInitializer_FeatureSeqInitializer

    public org.eclipse.emf.ecore.EReference getFeatureInitializer_FeatureSeqInitializer()

  Specified by:
    `getFeatureInitializer_FeatureSeqInitializer` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Feature Seq Initializer'.
  See Also:
    `FeatureInitializer.getFeatureSeqInitializer()`, `GMFMapPackage.getFeatureInitializer()`
  ** Generated **

### getFeatureValueSpec

    public org.eclipse.emf.ecore.EClass getFeatureValueSpec()

  Specified by:
    `getFeatureValueSpec` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Feature Value Spec'.
  See Also:
    `FeatureValueSpec`
  ** Generated **

### getFeatureValueSpec_Value

    public org.eclipse.emf.ecore.EReference getFeatureValueSpec_Value()

  Specified by:
    `getFeatureValueSpec_Value` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `FeatureValueSpec.getValue()`, `GMFMapPackage.getFeatureValueSpec()`
  ** Generated **

### getReferenceNewElementSpec

    public org.eclipse.emf.ecore.EClass getReferenceNewElementSpec()

  Specified by:
    `getReferenceNewElementSpec` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Reference New Element Spec'.
  See Also:
    `ReferenceNewElementSpec`
  ** Generated **

### getReferenceNewElementSpec_NewElementInitializers

    public org.eclipse.emf.ecore.EReference getReferenceNewElementSpec_NewElementInitializers()

  Specified by:
    `getReferenceNewElementSpec_NewElementInitializers` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'New Element Initializers'.
  See Also:
    `ReferenceNewElementSpec.getNewElementInitializers()`, `GMFMapPackage.getReferenceNewElementSpec()`
  ** Generated **

### getMenuOwner

    public org.eclipse.emf.ecore.EClass getMenuOwner()

  Specified by:
    `getMenuOwner` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Menu Owner'.
  See Also:
    `MenuOwner`
  ** Generated **

### getMenuOwner_ContextMenu

    public org.eclipse.emf.ecore.EReference getMenuOwner_ContextMenu()

  Specified by:
    `getMenuOwner_ContextMenu` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Context Menu'.
  See Also:
    `MenuOwner.getContextMenu()`, `GMFMapPackage.getMenuOwner()`
  ** Generated **

### getToolOwner

    public org.eclipse.emf.ecore.EClass getToolOwner()

  Specified by:
    `getToolOwner` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Tool Owner'.
  See Also:
    `ToolOwner`
  ** Generated **

### getToolOwner_Tool

    public org.eclipse.emf.ecore.EReference getToolOwner_Tool()

  Specified by:
    `getToolOwner_Tool` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Tool'.
  See Also:
    `ToolOwner.getTool()`, `GMFMapPackage.getToolOwner()`
  ** Generated **

### getAppearanceSteward

    public org.eclipse.emf.ecore.EClass getAppearanceSteward()

  Specified by:
    `getAppearanceSteward` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Appearance Steward'.
  See Also:
    `AppearanceSteward`
  ** Generated **

### getAppearanceSteward_AppearanceStyle

    public org.eclipse.emf.ecore.EReference getAppearanceSteward_AppearanceStyle()

  Specified by:
    `getAppearanceSteward_AppearanceStyle` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Appearance Style'.
  See Also:
    `AppearanceSteward.getAppearanceStyle()`, `GMFMapPackage.getAppearanceSteward()`
  ** Generated **

### getAuditContainer

    public org.eclipse.emf.ecore.EClass getAuditContainer()

  Specified by:
    `getAuditContainer` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Audit Container'.
  See Also:
    `AuditContainer`
  ** Generated **

### getAuditContainer_Id

    public org.eclipse.emf.ecore.EAttribute getAuditContainer_Id()

  Specified by:
    `getAuditContainer_Id` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AuditContainer.getId()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditContainer_Name

    public org.eclipse.emf.ecore.EAttribute getAuditContainer_Name()

  Specified by:
    `getAuditContainer_Name` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `AuditContainer.getName()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditContainer_Description

    public org.eclipse.emf.ecore.EAttribute getAuditContainer_Description()

  Specified by:
    `getAuditContainer_Description` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `AuditContainer.getDescription()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditContainer_ParentContainer

    public org.eclipse.emf.ecore.EReference getAuditContainer_ParentContainer()

  Specified by:
    `getAuditContainer_ParentContainer` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Parent Container'.
  See Also:
    `AuditContainer.getParentContainer()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditContainer_Audits

    public org.eclipse.emf.ecore.EReference getAuditContainer_Audits()

  Specified by:
    `getAuditContainer_Audits` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Audits'.
  See Also:
    `AuditContainer.getAudits()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditContainer_ChildContainers

    public org.eclipse.emf.ecore.EReference getAuditContainer_ChildContainers()

  Specified by:
    `getAuditContainer_ChildContainers` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Child Containers'.
  See Also:
    `AuditContainer.getChildContainers()`, `GMFMapPackage.getAuditContainer()`
  ** Generated **

### getAuditRule

    public org.eclipse.emf.ecore.EClass getAuditRule()

  Specified by:
    `getAuditRule` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Audit Rule'.
  See Also:
    `AuditRule`
  ** Generated **

### getAuditRule_Id

    public org.eclipse.emf.ecore.EAttribute getAuditRule_Id()

  Specified by:
    `getAuditRule_Id` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AuditRule.getId()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_Rule

    public org.eclipse.emf.ecore.EReference getAuditRule_Rule()

  Specified by:
    `getAuditRule_Rule` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `AuditRule.getRule()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_Target

    public org.eclipse.emf.ecore.EReference getAuditRule_Target()

  Specified by:
    `getAuditRule_Target` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `AuditRule.getTarget()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_Severity

    public org.eclipse.emf.ecore.EAttribute getAuditRule_Severity()

  Specified by:
    `getAuditRule_Severity` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `AuditRule.getSeverity()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_UseInLiveMode

    public org.eclipse.emf.ecore.EAttribute getAuditRule_UseInLiveMode()

  Specified by:
    `getAuditRule_UseInLiveMode` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Use In Live Mode'.
  See Also:
    `AuditRule.isUseInLiveMode()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_Message

    public org.eclipse.emf.ecore.EAttribute getAuditRule_Message()

  Specified by:
    `getAuditRule_Message` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `AuditRule.getMessage()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getAuditRule_Container

    public org.eclipse.emf.ecore.EReference getAuditRule_Container()

  Specified by:
    `getAuditRule_Container` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `AuditRule.getContainer()`, `GMFMapPackage.getAuditRule()`
  ** Generated **

### getRuleBase

    public org.eclipse.emf.ecore.EClass getRuleBase()

  Specified by:
    `getRuleBase` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Rule Base'.
  See Also:
    `RuleBase`
  ** Generated **

### getRuleBase_Name

    public org.eclipse.emf.ecore.EAttribute getRuleBase_Name()

  Specified by:
    `getRuleBase_Name` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `RuleBase.getName()`, `GMFMapPackage.getRuleBase()`
  ** Generated **

### getRuleBase_Description

    public org.eclipse.emf.ecore.EAttribute getRuleBase_Description()

  Specified by:
    `getRuleBase_Description` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `RuleBase.getDescription()`, `GMFMapPackage.getRuleBase()`
  ** Generated **

### getDomainElementTarget

    public org.eclipse.emf.ecore.EClass getDomainElementTarget()

  Specified by:
    `getDomainElementTarget` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Domain Element Target'.
  See Also:
    `DomainElementTarget`
  ** Generated **

### getDomainElementTarget_Element

    public org.eclipse.emf.ecore.EReference getDomainElementTarget_Element()

  Specified by:
    `getDomainElementTarget_Element` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `DomainElementTarget.getElement()`, `GMFMapPackage.getDomainElementTarget()`
  ** Generated **

### getDomainAttributeTarget

    public org.eclipse.emf.ecore.EClass getDomainAttributeTarget()

  Specified by:
    `getDomainAttributeTarget` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Domain Attribute Target'.
  See Also:
    `DomainAttributeTarget`
  ** Generated **

### getDomainAttributeTarget_Attribute

    public org.eclipse.emf.ecore.EReference getDomainAttributeTarget_Attribute()

  Specified by:
    `getDomainAttributeTarget_Attribute` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `DomainAttributeTarget.getAttribute()`, `GMFMapPackage.getDomainAttributeTarget()`
  ** Generated **

### getDomainAttributeTarget_NullAsError

    public org.eclipse.emf.ecore.EAttribute getDomainAttributeTarget_NullAsError()

  Specified by:
    `getDomainAttributeTarget_NullAsError` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Null As Error'.
  See Also:
    `DomainAttributeTarget.isNullAsError()`, `GMFMapPackage.getDomainAttributeTarget()`
  ** Generated **

### getDiagramElementTarget

    public org.eclipse.emf.ecore.EClass getDiagramElementTarget()

  Specified by:
    `getDiagramElementTarget` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Diagram Element Target'.
  See Also:
    `DiagramElementTarget`
  ** Generated **

### getDiagramElementTarget_Element

    public org.eclipse.emf.ecore.EReference getDiagramElementTarget_Element()

  Specified by:
    `getDiagramElementTarget_Element` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `DiagramElementTarget.getElement()`, `GMFMapPackage.getDiagramElementTarget()`
  ** Generated **

### getNotationElementTarget

    public org.eclipse.emf.ecore.EClass getNotationElementTarget()

  Specified by:
    `getNotationElementTarget` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Notation Element Target'.
  See Also:
    `NotationElementTarget`
  ** Generated **

### getNotationElementTarget_Element

    public org.eclipse.emf.ecore.EReference getNotationElementTarget_Element()

  Specified by:
    `getNotationElementTarget_Element` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `NotationElementTarget.getElement()`, `GMFMapPackage.getNotationElementTarget()`
  ** Generated **

### getMetricContainer

    public org.eclipse.emf.ecore.EClass getMetricContainer()

  Specified by:
    `getMetricContainer` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Metric Container'.
  See Also:
    `MetricContainer`
  ** Generated **

### getMetricContainer_Metrics

    public org.eclipse.emf.ecore.EReference getMetricContainer_Metrics()

  Specified by:
    `getMetricContainer_Metrics` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference list 'Metrics'.
  See Also:
    `MetricContainer.getMetrics()`, `GMFMapPackage.getMetricContainer()`
  ** Generated **

### getMetricRule

    public org.eclipse.emf.ecore.EClass getMetricRule()

  Specified by:
    `getMetricRule` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Metric Rule'.
  See Also:
    `MetricRule`
  ** Generated **

### getMetricRule_Key

    public org.eclipse.emf.ecore.EAttribute getMetricRule_Key()

  Specified by:
    `getMetricRule_Key` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `MetricRule.getKey()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getMetricRule_Rule

    public org.eclipse.emf.ecore.EReference getMetricRule_Rule()

  Specified by:
    `getMetricRule_Rule` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `MetricRule.getRule()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getMetricRule_Target

    public org.eclipse.emf.ecore.EReference getMetricRule_Target()

  Specified by:
    `getMetricRule_Target` in interface `GMFMapPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MetricRule.getTarget()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getMetricRule_LowLimit

    public org.eclipse.emf.ecore.EAttribute getMetricRule_LowLimit()

  Specified by:
    `getMetricRule_LowLimit` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'Low Limit'.
  See Also:
    `MetricRule.getLowLimit()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getMetricRule_HighLimit

    public org.eclipse.emf.ecore.EAttribute getMetricRule_HighLimit()

  Specified by:
    `getMetricRule_HighLimit` in interface `GMFMapPackage`
  Returns:
    the meta object for the attribute 'High Limit'.
  See Also:
    `MetricRule.getHighLimit()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getMetricRule_Container

    public org.eclipse.emf.ecore.EReference getMetricRule_Container()

  Specified by:
    `getMetricRule_Container` in interface `GMFMapPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `MetricRule.getContainer()`, `GMFMapPackage.getMetricRule()`
  ** Generated **

### getAuditedMetricTarget

    public org.eclipse.emf.ecore.EClass getAuditedMetricTarget()

  Specified by:
    `getAuditedMetricTarget` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Audited Metric Target'.
  See Also:
    `AuditedMetricTarget`
  ** Generated **

### getAuditedMetricTarget_Metric

    public org.eclipse.emf.ecore.EReference getAuditedMetricTarget_Metric()

  Specified by:
    `getAuditedMetricTarget_Metric` in interface `GMFMapPackage`
  Returns:
    the meta object for the reference 'Metric'.
  See Also:
    `AuditedMetricTarget.getMetric()`, `GMFMapPackage.getAuditedMetricTarget()`
  ** Generated **

### getAuditable

    public org.eclipse.emf.ecore.EClass getAuditable()

  Specified by:
    `getAuditable` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Auditable'.
  See Also:
    `Auditable`
  ** Generated **

### getMeasurable

    public org.eclipse.emf.ecore.EClass getMeasurable()

  Specified by:
    `getMeasurable` in interface `GMFMapPackage`
  Returns:
    the meta object for class 'Measurable'.
  See Also:
    `Measurable`
  ** Generated **

### getLabelTextAccessMethod

    public org.eclipse.emf.ecore.EEnum getLabelTextAccessMethod()

  Specified by:
    `getLabelTextAccessMethod` in interface `GMFMapPackage`
  Returns:
    the meta object for enum 'Label Text Access Method'.
  See Also:
    `LabelTextAccessMethod`
  ** Generated **

### getSeverity

    public org.eclipse.emf.ecore.EEnum getSeverity()

  Specified by:
    `getSeverity` in interface `GMFMapPackage`
  Returns:
    the meta object for enum 'Severity'.
  See Also:
    `Severity`
  ** Generated **

### getLanguage

    public org.eclipse.emf.ecore.EEnum getLanguage()

  Specified by:
    `getLanguage` in interface `GMFMapPackage`
  Returns:
    the meta object for enum 'Language'.
  See Also:
    `Language`
  ** Generated **

### getGMFMapFactory

    public GMFMapFactory getGMFMapFactory()

  Specified by:
    `getGMFMapFactory` in interface `GMFMapPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### createEmfaticAnnotationMapAnnotations

    protected void createEmfaticAnnotationMapAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap.

  ** Generated **

### createMetaAnnotations

    protected void createMetaAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta.

  ** Generated **

### createConstraintsAnnotations

    protected void createConstraintsAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.